@echo off
rem All Rights Reserved. Copyright (C) 2008, Hitachi, Ltd.

setlocal

rem --- set environment ---
set COSMI_HOME=%COSMINEXUS_HOME%
set JAVA_HOME=%COSMI_HOME%\jdk
set JAVAC="%JAVA_HOME%\bin\javac"
set JAR="%JAVA_HOME%\bin\jar"

rem --- set class path ---
set CLASS_PATH="%COSMI_HOME%\CC\client\lib\j2ee-javax.jar"

rem --- compile ejb ---
if not exist classes mkdir classes
%JAVAC% -d classes -classpath %CLASS_PATH% src/employeeinfo/Department.java src/employeeinfo/Employee.java src/employeeinfo/EmployeeInfo.java src/employeeinfo/EmployeeInfoEJB.java src/employeeinfo/MyOptimisticLockException.java

rem --- compile war ---
if not exist DD\WEB-INF\classes mkdir DD\WEB-INF\classes
%JAVAC% -d DD/WEB-INF/classes -classpath %CLASS_PATH%;classes src/webEmployeeinfo/EmployeeInfoServlet.java

rem --- create jar file ---
if not exist jar mkdir jar
%JAR% cvf jar/EmployeeInfo.jar -C DD META-INF/persistence.xml -C classes employeeinfo

rem --- create war file ---
if not exist war mkdir war
%JAR% cvf war/EmployeeInfo.war -C DD WEB-INF -C . EmployeeInfo.html

rem --- create ear file ---
%JAR% cvf employeeinfo.ear -C DD META-INF/application.xml -C jar EmployeeInfo.jar -C war EmployeeInfo.war

endlocal
