/*
 * All Rights Reserved. Copyright (C) 2008, Hitachi, Ltd.
 */
package employeeinfo;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Version;

// Department Entity.
@Entity
@Table(name = "JPA_SAMPLE_DEPARTMENT")
public class Department {
	private int departmentId;

	private String departmentName;

	private int departmentVersion;

	// Constructor
	public Department() {
	}

	// Gets the primary key of the Department entity.
	@Id
	@Column(name = "DEPARTMENT_ID")
	public int getDepartmentId() {
		return departmentId;
	}

	// Sets the primary key of the Department entity.
	public void setDepartmentId(int departmentId) {
		this.departmentId = departmentId;
	}

	// Gets the name of the Department.
	@Column(name = "DEPARTMENT_NAME")
	public String getDepartmentName() {
		return departmentName;
	}

	// Sets the name of the Department.
	public void setDepartmentName(String departmentName) {
		this.departmentName = departmentName;
	}

	// Gets the version of the Department entity for Optimistic Lock.
	@Version
	@Column(name = "DEPARTMENT_VERSION")
	public int getDepartmentVersion() {
		return departmentVersion;
	}

	// Sets the version of the Department entity for Optimistic Lock.
	public void setDepartmentVersion(int departmentVersion) {
		this.departmentVersion = departmentVersion;
	}

	public String toString() {
		return " departmentId=" + this.departmentId + " departmentName="
				+ this.departmentName + " departmentVersion="
				+ this.departmentVersion;
	}

}
